/*******************************************************************************
* File Name: ADC_INT.c
* Version 1.80
*
*  Description:
*    This file contains the code that operates during the ADC_SAR interrupt
*    service routine.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ADC.h"


/******************************************************************************
* Custom Declarations and Variables
* - add user inlcude files, prototypes and variables between the following
*   #START and #END tags
******************************************************************************/
/* `#START ADC_SYS_VAR`  */

/* `#END`  */


/******************************************************************************
* Function Name: ADC_ISR
*******************************************************************************
*
* Summary:
*  Handle Interrupt Service Routine.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
******************************************************************************/
CY_ISR( ADC_ISR )
{
    /************************************************************************
    *  Custom Code
    *  - add user ISR code between the following #START and #END tags
    *************************************************************************/
      /* `#START MAIN_ADC_ISR`  */
/////////////////////////////////////////////////////////////////
void ADC_Interrupt(void);
/////////////////////////////////////////////////////////////////
//	LED1_Write(0);
	ADC_ISR_Interrupt();		// user call back
// CyDelayUs(100);
//	LED1_Write(1);
/////////////////////////////////////////////////////////////////
      /* `#END`  */

}


/* [] END OF FILE */
#if 0 /* begin disabled code */
`#start MAIN_ADC_ISR1` -- section removed from template
/////////////////////////////////////////////////////////////////
void ADC_Interrupt(void);
/////////////////////////////////////////////////////////////////
//	LED1_Write(0);
	ADC_Interrupt();		// user call back
// CyDelayUs(100);
//	LED1_Write(1);
/////////////////////////////////////////////////////////////////
`#end`

#endif /* end disabled code */
