/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
//------------------------------------------------------------------------------//
#include "Global.h"
//------------------------------------------------------------------------------//
LED1( byte sw )  { LED1_Write(sw); }
//LED3( byte sw )  { LED2_Write(sw); }
LED3( byte sw )  { LED3_Write(sw); }
LED4( byte sw )  { LED4_Write(sw); }
//LED5( byte sw )  { LED5_Write(sw); }
LED6( byte sw )  { LED6_Write(sw); }
LED7( byte sw )  { LED7_Write(sw); }
//------------------------------------------------------------------------------//
//		in case: CY8C5588AXI-060ES1 [80MHz]
//------------------------------------------------------------------------------//
void Wait( long us )	// u.sec at 24MHz clock
{ long i;  int j;
    us= 3*us/2;
	for(i=0; i<us; i++) { j++; }
}

//------------------------------------------------------------------------------//
void WaitMs( int ms )	// m.sec at 6MHz clock
{ int i;
	for(i=0; i<ms; i++) Wait(1000);
}

/////////////////////////////////////////////////////////////////////////
void WheelMark( byte cw )
{ static LONG k, kk;

	if( (++kk%20)==0 )
    {	k++; 
	    if( cw )	// clock wise
		{	if( (k%4)==0 ) LCD_Prints( 0,18, " |" );	// proceed mark
	    	if( (k%4)==1 ) LCD_Prints( 0,18, " /" );
	    	if( (k%4)==2 ) LCD_Prints( 0,18, " -" );
	    	if(	(k%4)==3 ) LCD_Prints( 0,18, " \xCD" );
		}
		else		// count clock wise
		{	if( (k%4)==0 ) LCD_Prints( 0,18, " |" );	
	    	if(	(k%4)==1 ) LCD_Prints( 0,18, " \xCD" );
	    	if( (k%4)==2 ) LCD_Prints( 0,18, " -" );
	    	if( (k%4)==3 ) LCD_Prints( 0,18, " /" );
	}	}
}

/////////////////////////////////////////////////////////////////////////
