//------------------------------------------------------------------------------//
#ifndef _GLOBAL_H_
#define _GLOBAL_H_
//------------------------------------------------------------------------------//
#include <device.h>
#include <string.h>
#include <stdlib.h>
//------------------------------------------------------------------------------//
#define  true   -1
#define  false  0
//------------------------------------------------------------------------------//
// with the effect of declaring T to have the type of the expression expr. This extension does
// not work with GCC 3 (versions between 3.0 and 3.2 will crash; 3.2.1 and later give an error).
// Code which relies on it should be rewritten to use typeof:
// typedef typeof(expr) T;
// This will work with all versions of GCC.
typedef typeof(uint8)  bool;
typedef typeof(uint8)  byte;
typedef typeof(uint16) word;
typedef typeof(uint16) SHORT;
typedef typeof(uint32) LONG;
//------------------------------------------------------------------------------//
//extern 	LONG 	 SystemTimer;
//extern 	word   	 TimeOut;
//------------------------------------------------------------------------------//
#define  ON  0
#define  OFF 1
void LED1( byte sw );
void LED3( byte sw );  
void LED4( byte sw ); 
void LED5( byte sw );  
void LED6( byte sw );  
void LED7( byte sw );  
void LED8( byte sw );  
//------------------------------------------------------------------------------//
void   Sleep( long ms );
void   SLEEP( void );
//int    Asc2Bin( char dat[], byte siz );
void   WaitMs( int n );	// n m.sec at 24MHz clock
void   WaitUs( long n );	// n u.sec at 24MHz clock
void   WheelMark( byte cw );
//------------------------------------------------------------------------------//
//#define ON(  REG, MASK )  ( REG|=  MASK )
//#define OFF( REG, MASK )  ( REG&= ~MASK )
//------------------------------------------------------------------------------//
   enum ASCII
   {	NUL=	0x00,
   		CR  =	0x0D,
		ACK=	0x06,
		NAK=	0x15,
		SYN=	0x16,
		ESC=	0x1B,
		SPC=	0x20
	};
//------------------------------------------------------------------------------//
#endif
//------------------------------------------------------------------------------//
