/////////////////////////////////////////////////////////////////////////
#include "Global.h"
#include "Print.h"
/////////////////////////////////////////////////////////////////////////
static char buf[30];
/////////////////////////////////////////////////////////////////////////
void LCD_Prints( char row, char col, const char* str )
{   CYGlobalIntDisable; 		
	LCD_Position( row, col);		// Place LCD cursor at row, col.
	LCD_PrintString( strcpy( buf, str) ); 		// Print string
    CYGlobalIntEnable; 		// Enable Global interrupts 
}

/////////////////////////////////////////////////////////////////////////
void LCD_Printf( char row, char col, const char* fmt, long val )
{   CYGlobalIntDisable; 		
	LCD_Position( row, col );	// Sets the cursor’s position to match the row and column supplied
	sprintf( buf, fmt, val );
	LCD_PrintString( buf );  // Prints a null-terminated string to the screen, character by character
    CYGlobalIntEnable; 		// Enable Global interrupts 
}

/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
