///////////////////////////////////////////////////////
#include "Global.h"
//#include "RotaryEncoder.h"
///////////////////////////////////////////////////////
extern void  RE_Interrupt(void);
extern void  RE_Start(void);
extern int16 RE_Update(int16 updown);
///////////////////////////////////////////////////////
extern void  RE_Start(void)
{	// RE_Counter_WriteCompare(100);
	RE_Counter1_Start();
	RE_Counter2_Start();
	RE_Clock_Start();
 	RE_ISR_Start();
}

///////////////////////////////////////////////////////
int16 RE_Update(int16 updown)
{ static int16  EnVal;
  #define EnMax 20 
 	EnVal+= updown;
//	if( EnVal<0 ) EnVal= 0;
//	if( EnVal>EnMax ) EnVal= EnMax;
//	if( EnVal>EnMax ) EnVal= 0;
	return EnVal;
}

   
///////////////////////////////////////////////////////
void  RE_Interrupt(void)
{ uint8 A, B;
  static uint16  i, k;

//	if( (++i%2)<1 ) LED2_Write(0);  else LED2_Write(1);
//	A= !RE_A_Read();
	B= !RE_B_Read();

//	if(A)	// Rise Edge
	{	k++;	
		if(B)
		{	RE_Update(+1);
			if(k%2) LED4_Write(0); else LED4_Write(1); 
			LED3_Write(1);
		}		
		else
		{	RE_Update(-1);
			if(k%2) LED3_Write(0); else LED3_Write(1); 
			LED4_Write(1);
	}	}		
	RE_ISR_ClearPending();
	// CyDelay(1);
}

///////////////////////////////////////////////////////
///// end program /////////////////////////////////////
///////////////////////////////////////////////////////
