///////////////////////////////////////////////////////
#include "Global.h"
#include "RotaryEncoder.h"
///////////////////////////////////////////////////////
extern void  RotaryEncoder_1_Interrupt(void);
extern void  RotaryEncoder_1_Start(void);
extern int16 RotaryEncoder_1_Update(int16 updown);
///////////////////////////////////////////////////////
extern void  RotaryEncoder_1_Start(void)
{	RotaryEncoder_1_Counter_WriteCompare(100);
	RotaryEncoder_1_Counter_Start();
	RotaryEncoder_1_Clock_Start();
 	RotaryEncoder_1_ISR_Start();
 	RotaryEncoder_1_ISR_Enable();
}

///////////////////////////////////////////////////////
int16 RotaryEncoder_1_Update(int16 updown)
{ static int16  EnVal;
  #define EnMax 20 
 	EnVal+= updown;
//	if( EnVal<0 ) EnVal= 0;
//	if( EnVal>EnMax ) EnVal= EnMax;
//	if( EnVal>EnMax ) EnVal= 0;
	return EnVal;
}

   
///////////////////////////////////////////////////////
void  RotaryEncoder_1_Interrupt(void)
{ uint8 A, B;
  static uint16  i, k;

	if( (++i%2)<1 ) LED2_Write(0);  else LED2_Write(1);
//	A= !RE_A_Read();
	B= !RotaryEncoder_1_B_Read();

//	if(A)	// Rise Edge
	{	k++;	
		if(B)
		{	RotaryEncoder_1_Update(+1);
			if(k%2) LED4_Write(0); else LED4_Write(1); 
			LED3_Write(1);
		}		
		else
		{	RotaryEncoder_1_Update(-1);
			if(k%2) LED3_Write(0); else LED3_Write(1); 
			LED4_Write(1);
	}	}		
	RotaryEncoder_1_ISR_ClearPending();
	// CyDelay(1);
}

///////////////////////////////////////////////////////
///// end program /////////////////////////////////////
///////////////////////////////////////////////////////
