#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT6_PC0
#define LCD_LCDPort__0__PORT 6u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT6_PC1
#define LCD_LCDPort__1__PORT 6u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT6_PC2
#define LCD_LCDPort__2__PORT 6u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT6_PC3
#define LCD_LCDPort__3__PORT 6u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT6_PC4
#define LCD_LCDPort__4__PORT 6u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT6_PC5
#define LCD_LCDPort__5__PORT 6u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT6_PC6
#define LCD_LCDPort__6__PORT 6u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT6_AG
#define LCD_LCDPort__AMUX CYREG_PRT6_AMUX
#define LCD_LCDPort__BIE CYREG_PRT6_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT6_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT6_BYP
#define LCD_LCDPort__CTL CYREG_PRT6_CTL
#define LCD_LCDPort__DM0 CYREG_PRT6_DM0
#define LCD_LCDPort__DM1 CYREG_PRT6_DM1
#define LCD_LCDPort__DM2 CYREG_PRT6_DM2
#define LCD_LCDPort__DR CYREG_PRT6_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT6_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT6_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 6u
#define LCD_LCDPort__PRT CYREG_PRT6_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT6_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT6_SLW

/* INS_OUT */
#define INS_OUT__0__MASK 0x02u
#define INS_OUT__0__PC CYREG_PRT0_PC1
#define INS_OUT__0__PORT 0u
#define INS_OUT__0__SHIFT 1
#define INS_OUT__AG CYREG_PRT0_AG
#define INS_OUT__AMUX CYREG_PRT0_AMUX
#define INS_OUT__BIE CYREG_PRT0_BIE
#define INS_OUT__BIT_MASK CYREG_PRT0_BIT_MASK
#define INS_OUT__BYP CYREG_PRT0_BYP
#define INS_OUT__CTL CYREG_PRT0_CTL
#define INS_OUT__DM0 CYREG_PRT0_DM0
#define INS_OUT__DM1 CYREG_PRT0_DM1
#define INS_OUT__DM2 CYREG_PRT0_DM2
#define INS_OUT__DR CYREG_PRT0_DR
#define INS_OUT__INP_DIS CYREG_PRT0_INP_DIS
#define INS_OUT__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define INS_OUT__LCD_EN CYREG_PRT0_LCD_EN
#define INS_OUT__MASK 0x02u
#define INS_OUT__PORT 0u
#define INS_OUT__PRT CYREG_PRT0_PRT
#define INS_OUT__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define INS_OUT__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define INS_OUT__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define INS_OUT__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define INS_OUT__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define INS_OUT__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define INS_OUT__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define INS_OUT__PS CYREG_PRT0_PS
#define INS_OUT__SHIFT 1
#define INS_OUT__SLW CYREG_PRT0_SLW

/* PGA1_SC */
#define PGA1_SC__BST CYREG_SC0_BST
#define PGA1_SC__CLK CYREG_SC0_CLK
#define PGA1_SC__CR0 CYREG_SC0_CR0
#define PGA1_SC__CR1 CYREG_SC0_CR1
#define PGA1_SC__CR2 CYREG_SC0_CR2
#define PGA1_SC__MSK CYREG_SC_MSK
#define PGA1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA1_SC__PM_ACT_MSK 0x01u
#define PGA1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA1_SC__PM_STBY_MSK 0x01u
#define PGA1_SC__SR CYREG_SC_SR
#define PGA1_SC__SW0 CYREG_SC0_SW0
#define PGA1_SC__SW10 CYREG_SC0_SW10
#define PGA1_SC__SW2 CYREG_SC0_SW2
#define PGA1_SC__SW3 CYREG_SC0_SW3
#define PGA1_SC__SW4 CYREG_SC0_SW4
#define PGA1_SC__SW6 CYREG_SC0_SW6
#define PGA1_SC__SW7 CYREG_SC0_SW7
#define PGA1_SC__SW8 CYREG_SC0_SW8

/* PGA2_SC */
#define PGA2_SC__BST CYREG_SC1_BST
#define PGA2_SC__CLK CYREG_SC1_CLK
#define PGA2_SC__CR0 CYREG_SC1_CR0
#define PGA2_SC__CR1 CYREG_SC1_CR1
#define PGA2_SC__CR2 CYREG_SC1_CR2
#define PGA2_SC__MSK CYREG_SC_MSK
#define PGA2_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA2_SC__PM_ACT_MSK 0x04u
#define PGA2_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA2_SC__PM_STBY_MSK 0x04u
#define PGA2_SC__SR CYREG_SC_SR
#define PGA2_SC__SW0 CYREG_SC1_SW0
#define PGA2_SC__SW10 CYREG_SC1_SW10
#define PGA2_SC__SW2 CYREG_SC1_SW2
#define PGA2_SC__SW3 CYREG_SC1_SW3
#define PGA2_SC__SW4 CYREG_SC1_SW4
#define PGA2_SC__SW6 CYREG_SC1_SW6
#define PGA2_SC__SW7 CYREG_SC1_SW7
#define PGA2_SC__SW8 CYREG_SC1_SW8

/* IN_Neg */
#define IN_Neg__0__MASK 0x08u
#define IN_Neg__0__PC CYREG_PRT0_PC3
#define IN_Neg__0__PORT 0u
#define IN_Neg__0__SHIFT 3
#define IN_Neg__AG CYREG_PRT0_AG
#define IN_Neg__AMUX CYREG_PRT0_AMUX
#define IN_Neg__BIE CYREG_PRT0_BIE
#define IN_Neg__BIT_MASK CYREG_PRT0_BIT_MASK
#define IN_Neg__BYP CYREG_PRT0_BYP
#define IN_Neg__CTL CYREG_PRT0_CTL
#define IN_Neg__DM0 CYREG_PRT0_DM0
#define IN_Neg__DM1 CYREG_PRT0_DM1
#define IN_Neg__DM2 CYREG_PRT0_DM2
#define IN_Neg__DR CYREG_PRT0_DR
#define IN_Neg__INP_DIS CYREG_PRT0_INP_DIS
#define IN_Neg__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define IN_Neg__LCD_EN CYREG_PRT0_LCD_EN
#define IN_Neg__MASK 0x08u
#define IN_Neg__PORT 0u
#define IN_Neg__PRT CYREG_PRT0_PRT
#define IN_Neg__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define IN_Neg__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define IN_Neg__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define IN_Neg__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define IN_Neg__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define IN_Neg__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define IN_Neg__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define IN_Neg__PS CYREG_PRT0_PS
#define IN_Neg__SHIFT 3
#define IN_Neg__SLW CYREG_PRT0_SLW

/* IN_Pos */
#define IN_Pos__0__MASK 0x04u
#define IN_Pos__0__PC CYREG_PRT0_PC2
#define IN_Pos__0__PORT 0u
#define IN_Pos__0__SHIFT 2
#define IN_Pos__AG CYREG_PRT0_AG
#define IN_Pos__AMUX CYREG_PRT0_AMUX
#define IN_Pos__BIE CYREG_PRT0_BIE
#define IN_Pos__BIT_MASK CYREG_PRT0_BIT_MASK
#define IN_Pos__BYP CYREG_PRT0_BYP
#define IN_Pos__CTL CYREG_PRT0_CTL
#define IN_Pos__DM0 CYREG_PRT0_DM0
#define IN_Pos__DM1 CYREG_PRT0_DM1
#define IN_Pos__DM2 CYREG_PRT0_DM2
#define IN_Pos__DR CYREG_PRT0_DR
#define IN_Pos__INP_DIS CYREG_PRT0_INP_DIS
#define IN_Pos__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define IN_Pos__LCD_EN CYREG_PRT0_LCD_EN
#define IN_Pos__MASK 0x04u
#define IN_Pos__PORT 0u
#define IN_Pos__PRT CYREG_PRT0_PRT
#define IN_Pos__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define IN_Pos__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define IN_Pos__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define IN_Pos__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define IN_Pos__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define IN_Pos__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define IN_Pos__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define IN_Pos__PS CYREG_PRT0_PS
#define IN_Pos__SHIFT 2
#define IN_Pos__SLW CYREG_PRT0_SLW

/* PS_ISR */
#define PS_ISR__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define PS_ISR__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define PS_ISR__INTC_MASK 0x1000u
#define PS_ISR__INTC_NUMBER 12u
#define PS_ISR__INTC_PRIOR_NUM 5u
#define PS_ISR__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define PS_ISR__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define PS_ISR__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ClkIn */
#define ClkIn__0__MASK 0x80u
#define ClkIn__0__PC CYREG_PRT5_PC7
#define ClkIn__0__PORT 5u
#define ClkIn__0__SHIFT 7
#define ClkIn__AG CYREG_PRT5_AG
#define ClkIn__AMUX CYREG_PRT5_AMUX
#define ClkIn__BIE CYREG_PRT5_BIE
#define ClkIn__BIT_MASK CYREG_PRT5_BIT_MASK
#define ClkIn__BYP CYREG_PRT5_BYP
#define ClkIn__CTL CYREG_PRT5_CTL
#define ClkIn__DM0 CYREG_PRT5_DM0
#define ClkIn__DM1 CYREG_PRT5_DM1
#define ClkIn__DM2 CYREG_PRT5_DM2
#define ClkIn__DR CYREG_PRT5_DR
#define ClkIn__INP_DIS CYREG_PRT5_INP_DIS
#define ClkIn__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define ClkIn__LCD_EN CYREG_PRT5_LCD_EN
#define ClkIn__MASK 0x80u
#define ClkIn__PORT 5u
#define ClkIn__PRT CYREG_PRT5_PRT
#define ClkIn__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define ClkIn__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define ClkIn__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define ClkIn__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define ClkIn__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define ClkIn__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define ClkIn__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define ClkIn__PS CYREG_PRT5_PS
#define ClkIn__SHIFT 7
#define ClkIn__SLW CYREG_PRT5_SLW

/* LED1 */
#define LED1__0__MASK 0x01u
#define LED1__0__PC CYREG_PRT2_PC0
#define LED1__0__PORT 2u
#define LED1__0__SHIFT 0
#define LED1__AG CYREG_PRT2_AG
#define LED1__AMUX CYREG_PRT2_AMUX
#define LED1__BIE CYREG_PRT2_BIE
#define LED1__BIT_MASK CYREG_PRT2_BIT_MASK
#define LED1__BYP CYREG_PRT2_BYP
#define LED1__CTL CYREG_PRT2_CTL
#define LED1__DM0 CYREG_PRT2_DM0
#define LED1__DM1 CYREG_PRT2_DM1
#define LED1__DM2 CYREG_PRT2_DM2
#define LED1__DR CYREG_PRT2_DR
#define LED1__INP_DIS CYREG_PRT2_INP_DIS
#define LED1__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LED1__LCD_EN CYREG_PRT2_LCD_EN
#define LED1__MASK 0x01u
#define LED1__PORT 2u
#define LED1__PRT CYREG_PRT2_PRT
#define LED1__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LED1__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LED1__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LED1__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LED1__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LED1__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LED1__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LED1__PS CYREG_PRT2_PS
#define LED1__SHIFT 0
#define LED1__SLW CYREG_PRT2_SLW

/* LED3 */
#define LED3__0__MASK 0x04u
#define LED3__0__PC CYREG_PRT2_PC2
#define LED3__0__PORT 2u
#define LED3__0__SHIFT 2
#define LED3__AG CYREG_PRT2_AG
#define LED3__AMUX CYREG_PRT2_AMUX
#define LED3__BIE CYREG_PRT2_BIE
#define LED3__BIT_MASK CYREG_PRT2_BIT_MASK
#define LED3__BYP CYREG_PRT2_BYP
#define LED3__CTL CYREG_PRT2_CTL
#define LED3__DM0 CYREG_PRT2_DM0
#define LED3__DM1 CYREG_PRT2_DM1
#define LED3__DM2 CYREG_PRT2_DM2
#define LED3__DR CYREG_PRT2_DR
#define LED3__INP_DIS CYREG_PRT2_INP_DIS
#define LED3__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LED3__LCD_EN CYREG_PRT2_LCD_EN
#define LED3__MASK 0x04u
#define LED3__PORT 2u
#define LED3__PRT CYREG_PRT2_PRT
#define LED3__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LED3__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LED3__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LED3__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LED3__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LED3__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LED3__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LED3__PS CYREG_PRT2_PS
#define LED3__SHIFT 2
#define LED3__SLW CYREG_PRT2_SLW

/* Xclk */
#define Xclk__0__MASK 0x01u
#define Xclk__0__PC CYREG_PRT3_PC0
#define Xclk__0__PORT 3u
#define Xclk__0__SHIFT 0
#define Xclk__AG CYREG_PRT3_AG
#define Xclk__AMUX CYREG_PRT3_AMUX
#define Xclk__BIE CYREG_PRT3_BIE
#define Xclk__BIT_MASK CYREG_PRT3_BIT_MASK
#define Xclk__BYP CYREG_PRT3_BYP
#define Xclk__CTL CYREG_PRT3_CTL
#define Xclk__DM0 CYREG_PRT3_DM0
#define Xclk__DM1 CYREG_PRT3_DM1
#define Xclk__DM2 CYREG_PRT3_DM2
#define Xclk__DR CYREG_PRT3_DR
#define Xclk__INP_DIS CYREG_PRT3_INP_DIS
#define Xclk__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Xclk__LCD_EN CYREG_PRT3_LCD_EN
#define Xclk__MASK 0x01u
#define Xclk__PORT 3u
#define Xclk__PRT CYREG_PRT3_PRT
#define Xclk__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Xclk__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Xclk__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Xclk__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Xclk__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Xclk__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Xclk__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Xclk__PS CYREG_PRT3_PS
#define Xclk__SHIFT 0
#define Xclk__SLW CYREG_PRT3_SLW

/* Ps1 */
#define Ps1__0__MASK 0x04u
#define Ps1__0__PC CYREG_PRT12_PC2
#define Ps1__0__PORT 12u
#define Ps1__0__SHIFT 2
#define Ps1__AG CYREG_PRT12_AG
#define Ps1__BIE CYREG_PRT12_BIE
#define Ps1__BIT_MASK CYREG_PRT12_BIT_MASK
#define Ps1__BYP CYREG_PRT12_BYP
#define Ps1__DM0 CYREG_PRT12_DM0
#define Ps1__DM1 CYREG_PRT12_DM1
#define Ps1__DM2 CYREG_PRT12_DM2
#define Ps1__DR CYREG_PRT12_DR
#define Ps1__INP_DIS CYREG_PRT12_INP_DIS
#define Ps1__MASK 0x04u
#define Ps1__PORT 12u
#define Ps1__PRT CYREG_PRT12_PRT
#define Ps1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Ps1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Ps1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Ps1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Ps1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Ps1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Ps1__PS CYREG_PRT12_PS
#define Ps1__SHIFT 2
#define Ps1__SIO_CFG CYREG_PRT12_SIO_CFG
#define Ps1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Ps1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Ps1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Ps1__SLW CYREG_PRT12_SLW

/* Ps2 */
#define Ps2__0__MASK 0x08u
#define Ps2__0__PC CYREG_PRT12_PC3
#define Ps2__0__PORT 12u
#define Ps2__0__SHIFT 3
#define Ps2__AG CYREG_PRT12_AG
#define Ps2__BIE CYREG_PRT12_BIE
#define Ps2__BIT_MASK CYREG_PRT12_BIT_MASK
#define Ps2__BYP CYREG_PRT12_BYP
#define Ps2__DM0 CYREG_PRT12_DM0
#define Ps2__DM1 CYREG_PRT12_DM1
#define Ps2__DM2 CYREG_PRT12_DM2
#define Ps2__DR CYREG_PRT12_DR
#define Ps2__INP_DIS CYREG_PRT12_INP_DIS
#define Ps2__MASK 0x08u
#define Ps2__PORT 12u
#define Ps2__PRT CYREG_PRT12_PRT
#define Ps2__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Ps2__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Ps2__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Ps2__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Ps2__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Ps2__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Ps2__PS CYREG_PRT12_PS
#define Ps2__SHIFT 3
#define Ps2__SIO_CFG CYREG_PRT12_SIO_CFG
#define Ps2__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Ps2__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Ps2__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Ps2__SLW CYREG_PRT12_SLW

/* PSW */
#define PSW__0__MASK 0x08u
#define PSW__0__PC CYREG_PRT15_PC3
#define PSW__0__PORT 15u
#define PSW__0__SHIFT 3
#define PSW__AG CYREG_PRT15_AG
#define PSW__AMUX CYREG_PRT15_AMUX
#define PSW__BIE CYREG_PRT15_BIE
#define PSW__BIT_MASK CYREG_PRT15_BIT_MASK
#define PSW__BYP CYREG_PRT15_BYP
#define PSW__CTL CYREG_PRT15_CTL
#define PSW__DM0 CYREG_PRT15_DM0
#define PSW__DM1 CYREG_PRT15_DM1
#define PSW__DM2 CYREG_PRT15_DM2
#define PSW__DR CYREG_PRT15_DR
#define PSW__INP_DIS CYREG_PRT15_INP_DIS
#define PSW__INTSTAT CYREG_PICU15_INTSTAT
#define PSW__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PSW__LCD_EN CYREG_PRT15_LCD_EN
#define PSW__MASK 0x08u
#define PSW__PORT 15u
#define PSW__PRT CYREG_PRT15_PRT
#define PSW__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PSW__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PSW__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PSW__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PSW__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PSW__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PSW__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PSW__PS CYREG_PRT15_PS
#define PSW__SHIFT 3
#define PSW__SLW CYREG_PRT15_SLW
#define PSW__SNAP CYREG_PICU15_SNAP

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DATA_CACHE_ENABLED 0
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00001000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
